#
# Conditional build:
%bcond_with	tests	# unit tests (not included in sdist)

Summary:	Enable git-like "did-you-mean" feature in click
Summary(pl.UTF-8):	Włączenie funkcji "czy miałeś na myśli" w stylu gita w clicku
Name:		python3-click-didyoumean
Version:	0.3.1
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/click-didyoumean/
Source0:	https://files.pythonhosted.org/packages/source/c/click-didyoumean/click_didyoumean-%{version}.tar.gz
# Source0-md5:	a7d95362366d8e8db0f6f5432dcc0279
URL:		https://pypi.org/project/click-didyoumean/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-poetry-core
%if %{with tests}
BuildRequires:	python3-click
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enable git-like "did-you-mean" feature in click.

%description -l pl.UTF-8
Włączenie funkcji "czy miałeś na myśli" w stylu gita w clicku.

%prep
%setup -q -n click_didyoumean-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/click_didyoumean
%{py3_sitescriptdir}/click_didyoumean-%{version}.dist-info
%changelog
* Wed Jun 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-click-didyoumean.git;a=log;h=master

* Wed Jun 04 2025 Jan Rękorajski <baggins@pld-linux.org> d0b1df3
- up to 0.3.1

* Tue Jun 03 2025 Jan Rękorajski <baggins@pld-linux.org> 34361eb
- renamed

* Tue Jun 03 2025 Jan Rękorajski <baggins@pld-linux.org> 335962a
- Release 4 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> f184cdb
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> bd01d47
- python 3.13 rebuild

* Fri Dec 08 2023 Jakub Bogusz <qboosh@pld-linux.org> cf3fe26
- new

